Output (Gradle API 5.0)
Date: 2018-11-26

Package org.gradle.plugins.ide.eclipse.model

## Class Output

- java.lang.Object
- - org.gradle.plugins.ide.eclipse.model.Output

- All Implemented Interfaces:
    `ClasspathEntry`

      public class Output
      extends java.lang.Object
      implements ClasspathEntry

  A classpath entry representing an output folder.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Output​(groovy.util.Node node)` |
    `Output​(java.lang.String path)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `appendNode​(groovy.util.Node node)` |
    `boolean` | `equals​(java.lang.Object o)` |
    `java.lang.String` | `getKind​()` |
    `java.lang.String` | `getPath​()` |
    `int` | `hashCode​()` |
    `void` | `setPath​(java.lang.String path)` |
    `java.lang.String` | `toString​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Output

          public Output​(groovy.util.Node node)

    - #### Output

          public Output​(java.lang.String path)

  - ### Method Detail

    - #### getPath

          public java.lang.String getPath​()

    - #### setPath

          public void setPath​(java.lang.String path)

    - #### getKind

          public java.lang.String getKind​()

      Specified by:
        `getKind` in interface `ClasspathEntry`

    - #### appendNode

          public void appendNode​(groovy.util.Node node)

      Specified by:
        `appendNode` in interface `ClasspathEntry`

    - #### equals

          public boolean equals​(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode​()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString​()

      Overrides:
        `toString` in class `java.lang.Object`